Summary: Cyrillic PS Fonts 
Name:cyrps
Version: 1.0
Release: 1
Group: Text
Source0: cyrps-1.0.tar.gz
Copyright: distributed
Vendor: IP Labs, Moscow
Distribution: Mandrake 5.2
Requires: ghostscript grep ed
BuildRoot: /tmp/cyrps-tmp

%description
Cyrillic PostScript fonts in KOI-8 encoding for GhostScript.
http://www.iplabs.ru/Linux

%prep

%setup -T -c -a 0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/fonts

cd fonts
cp -a * $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
mkdir -p $RPM_BUILD_ROOT/docs
cd ../docs
cp -a * $RPM_BUILD_ROOT/docs
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post
MRK="%-cyrps"
FONTMAP=/usr/share/ghostscript/4.03/Fontmap

if [ -e $FONTMAP ]
then
if grep -q "/Helvetica" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
,s/^\/Helvetica/$MRK\/Helvetica
wq
ED
fi

if grep -q "/Times" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
,s/^\/Times/$MRK\/Times
wq
ED
fi

if grep -q "/Courier" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
,s/^\/Courier/$MRK\/Courier
wq
ED
fi
fi


if [ ! -e $FONTMAP ]
then
  > $FONTMAP
fi

cat >>$FONTMAP <<SMI
								$MRK
/ArialCyrMT				(arial8.pfb)	;	$MRK
/Arial			/ArialCyrMT			;	$MRK
/Helvetica		/ArialCyrMT			;	$MRK
/ArialCyrMT-Bold			(arialbd8.pfb)	;	$MRK
/Arial-Bold		/ArialCyrMT-Bold		;	$MRK
/Helvetica-Bold	/ArialCyrMT-Bold			;	$MRK
/ArialCyrMT-Italic			(ariali8.pfb)	;	$MRK
/Arial-Italic		/ArialCyrMT-Italic		;	$MRK
/Helvetica-Oblique	/ArialCyrMT-Italic		;	$MRK
/ArialCyrMT-BoldItalic			(arialbi8.pfb)	;	$MRK
/Arial-BoldItalic	/ArialCyrMT-BoldItalic		;	$MRK
/Helvetica-BoldOblique	/ArialCyrMT-BoldItalic		;	$MRK
							    	$MRK
/CourierCyrPS				(cour8.pfb)	;	$MRK
/Courier		/CourierCyrPS			;	$MRK
/CourierCyrPS-Bold			(courbd8.pfb)	;	$MRK
/Courier-Bold		/CourierCyrPS-Bold		;	$MRK
/CourierCyrPS-Inclined			(couri8.pfb)	;	$MRK
/Courier-Oblique	/CourierCyrPS-Inclined		;	$MRK
/CourierCyrPS-BoldInclined		(courbi8.pfb)	;	$MRK
/Courier-BoldOblique	/CourierCyrPS-BoldInclined	;	$MRK
								$MRK
/TimesNRCyrMT				(times8.pfb)	;	$MRK
/Times-Roman		/TimesNRCyrMT			;	$MRK
/TimesNRCyrMT-Bold			(timesbd8.pfb)	;	$MRK
/Times-Bold		/TimesNRCyrMT-Bold		;	$MRK
/TimesNRCyrMT-Inclined			(timesi8.pfb)	;	$MRK
/Times-Italic		/TimesNRCyrMT-Inclined		;	$MRK
/TimesNRCyrMT-BoldInclined		(timesbi8.pfb)	;	$MRK
/Times-BoldItalic	/TimesNRCyrMT-BoldInclined	;	$MRK
								$MRK
/ERKurierKOI8RRegular			(cokoi8n.pfb)	;	$MRK
/ERKurierKOI8RBold			(cokoi8b.pfb)	;	$MRK
/ERKurierKOI8RItalic			(cokoi8i.pfb)	;	$MRK
/ERKurierKOI8RBoldItalic 		(cokoi8bi.pfb)	;	$MRK
SMI

%postun

FONTMAP=/usr/share/ghostscript/4.03/Fontmap
MRK="%-cyrps"

if [ -e $FONTMAP ]
then

if grep -q "/Helvetica" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
,s/$MRK\/Helvetica/\/Helvetica
wq
ED
fi

if grep -q "/Times" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
,s/$MRK\/Times/\/Times
wq
ED
fi

if grep -q "/Courier" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
,s/$MRK\/Courier/\/Courier
wq
ED
fi

if grep -q "$MRK" $FONTMAP
then
ed -s >/dev/null $FONTMAP <<ED
g/$MRK/d
wq
ED
fi

fi

%files
%doc docs/README
%doc docs/README.orig
/usr/share/ghostscript/fonts/arial8.afm
/usr/share/ghostscript/fonts/arial8.pfb
/usr/share/ghostscript/fonts/arial8.pfm
/usr/share/ghostscript/fonts/arialbd8.afm
/usr/share/ghostscript/fonts/arialbd8.pfb
/usr/share/ghostscript/fonts/arialbd8.pfm
/usr/share/ghostscript/fonts/arialbi8.afm
/usr/share/ghostscript/fonts/arialbi8.pfb
/usr/share/ghostscript/fonts/arialbi8.pfm
/usr/share/ghostscript/fonts/ariali8.afm
/usr/share/ghostscript/fonts/ariali8.pfb
/usr/share/ghostscript/fonts/ariali8.pfm
/usr/share/ghostscript/fonts/cokoi8b.afm
/usr/share/ghostscript/fonts/cokoi8b.pfb
/usr/share/ghostscript/fonts/cokoi8b.pfm
/usr/share/ghostscript/fonts/cokoi8bi.afm
/usr/share/ghostscript/fonts/cokoi8bi.pfb
/usr/share/ghostscript/fonts/cokoi8bi.pfm
/usr/share/ghostscript/fonts/cokoi8i.afm
/usr/share/ghostscript/fonts/cokoi8i.pfb
/usr/share/ghostscript/fonts/cokoi8i.pfm
/usr/share/ghostscript/fonts/cokoi8n.afm
/usr/share/ghostscript/fonts/cokoi8n.pfb
/usr/share/ghostscript/fonts/cokoi8n.pfm
/usr/share/ghostscript/fonts/cour8.afm
/usr/share/ghostscript/fonts/cour8.pfb
/usr/share/ghostscript/fonts/cour8.pfm
/usr/share/ghostscript/fonts/courbd8.afm
/usr/share/ghostscript/fonts/courbd8.pfb
/usr/share/ghostscript/fonts/courbd8.pfm
/usr/share/ghostscript/fonts/courbi8.afm
/usr/share/ghostscript/fonts/courbi8.pfb
/usr/share/ghostscript/fonts/courbi8.pfm
/usr/share/ghostscript/fonts/couri8.afm
/usr/share/ghostscript/fonts/couri8.pfb
/usr/share/ghostscript/fonts/couri8.pfm
/usr/share/ghostscript/fonts/times8.afm
/usr/share/ghostscript/fonts/times8.pfb
/usr/share/ghostscript/fonts/times8.pfm
/usr/share/ghostscript/fonts/timesbd8.afm
/usr/share/ghostscript/fonts/timesbd8.pfb
/usr/share/ghostscript/fonts/timesbd8.pfm
/usr/share/ghostscript/fonts/timesbi8.afm
/usr/share/ghostscript/fonts/timesbi8.pfb
/usr/share/ghostscript/fonts/timesbi8.pfm
/usr/share/ghostscript/fonts/timesi8.afm
/usr/share/ghostscript/fonts/timesi8.pfb
/usr/share/ghostscript/fonts/timesi8.pfm
